[v-cloak] > * {
  display: none;
}
.ship_link {
  text-align: center;
  width: 100%;
  display: flex;
  justify-content: center;
  margin-top: 10px;
}
.hidden {
  display: none;
}
.nauczyzciel_laptops_title {
  text-align: center;
  font-size: 22px;
  font-weight: 500;
}
.nauczycielSuccess_animation {
  animation-duration: 3s;
  animation-name: nauczycielSuccess;
  animation-timing-function: cubic-bezier(0.19, 1, 0.22, 1);
}
.nauczycielSuccess {
  opacity: 0;
  position: absolute;
  top: 0;
  left: 0;
  right: 0;
  bottom: 90%;
  display: flex;
  align-items: center;
  justify-content: center;
  background-color: transparent;
}
@keyframes nauczycielSuccess {
  0% {
  }
  50% {
    opacity: 1;
    bottom: 0;
    background-color: rgba(0, 176, 80, 0.9);
  }
  100% {
    opacity: 0;
    bottom: 90%;
    background-color: transparent;
  }
}
.nauczycielSuccess_text {
  text-align: center;
  font-size: 26px;
  font-weight: 700;
  color: white;
}
.nauczyciel_laptops_container {
  width: 100%;
  display: flex;
  flex-direction: column;
  align-items: center;
}
.nauczyciel_laptops_list {
  display: flex;
  flex-direction: column;
  gap: 5px;
  max-height: 250px;
  width: 100%;
  overflow-y: scroll;
  border: 1px solid rgba(0, 0, 0, 0.1);
  padding: 5px;
  border-radius: 5px;
  -webkit-border-radius: 5px;
  -moz-border-radius: 5px;
}
.nauczyzciel_laptops_card {
  display: flex;
  align-items: center;
  justify-content: space-between;
  gap: 15px;
  border: 1px solid rgba(0, 0, 0, 0.3);
  border-radius: 5px;
  -webkit-border-radius: 5px;
  -moz-border-radius: 5px;
  padding: 5px;
  -webkit-box-shadow: 0px 5px 10px 0px rgba(66, 68, 90, 0.3);
  -moz-box-shadow: 0px 5px 10px 0px rgba(66, 68, 90, 0.3);
  box-shadow: 0px 5px 10px 0px rgba(66, 68, 90, 0.3);
}
.nauczyzciel_laptops_card_text {
  margin: 0;
  font-weight: 500;
}
.nauczyzciel_laptops_card_btn {
  background-color: transparent;
  outline: none;
  border: 1px solid #30cfc0;
  padding: 7px 15px;
  border-radius: 10px;
  -webkit-border-radius: 10px;
  -moz-border-radius: 10px;
  color: #30cfc0;
  margin-right: 10px;
}
.nauczyzciel_laptops_card_btn-active {
  color: white !important;
  background-color: #30cfc0 !important;
}
.nauczyzciel_laptops_card_btn:hover {
  color: white;
  background-color: #30cfc0;
}
.nauczyzciel_laptops_card_btn:focus {
  color: white !important;
  background-color: #30cfc0 !important;
}
.nauczyzciel_laptops_card_img {
  max-width: 150px;
  max-height: 100px;
  object-fit: cover;
}
.nauczyciel_modal {
  cursor: initial;
  border: 2px solid #30cfc0;
  border-radius: 5px;
  -webkit-border-radius: 5px;
  -moz-border-radius: 5px;
  background-color: white;
  padding: 20px;
  display: flex;
  flex-direction: column;
  align-items: center;
  margin: 0 5%;
}
@media only screen and (max-width: 550px) {
  .nauczyzciel_laptops_card_img {
    max-width: 90px;
    max-height: 60px;
  }
  .nauczyzciel_laptops_card_btn {
    margin-right: 0;
    padding: 5px;
  }
  .nauczyzciel_laptops_card_text {
    font-size: 14px;
  }
}
.nauczyciel_banner {
  padding: 10px;
  box-sizing: border-box;
  display: flex;
  justify-content: space-between;
  align-items: center;
  width: 85vw;
  margin: 0 auto 20px;
  border: 2px solid #30cfc0;
  border-radius: 10px;
  -webkit-border-radius: 10px;
  -moz-border-radius: 10px;
  -moz-box-shadow: 0px 2px 20px -7px #30cfc0;
  -webkit-box-shadow: 0px 2px 20px -7px #30cfc0;
  box-shadow: 0px 2px 20px -7px #30cfc0;
}
.nauczyciel_banner_text {
  margin: 0;
  font-size: 24px;
  font-weight: 500;
}
.modal_wrapper {
  cursor: pointer;
  z-index: 999;
  position: fixed;
  overflow: hidden;
  left: 0;
  right: 0;
  bottom: 0;
  top: 0;
  background-color: rgba(0, 0, 0, 0.3);

  display: flex;
  justify-content: center;
  align-items: center;
}
.geo_modal {
  cursor: initial;
  width: 70vw;
  height: 70vh;
  border: 5px solid #fcc905;
}
.novaMenu__item {
  border-left: 1px solid lightgray;
  border-right: 1px solid lightgray;
  cursor: pointer;
  padding: 5px;
  transition: transform 0.1s linear;
}
.novaMenu__item:first-child {
  border-top: 1px solid lightgray;
  border-top-right-radius: 5px;
  border-top-left-radius: 5px;
}
.novaMenu__item:last-child {
  border-bottom: 1px solid lightgray;
  border-bottom-right-radius: 5px;
  border-bottom-left-radius: 5px;
}
.novaMenu__item:hover {
  transform: scale(1.01);
  background-color: lightgray;
  border-radius: 5px;
}
.custom_container_for_mobile1 {
  padding-left: 0px;
}
.custom_container_for_mobile2 {
  padding-right: 0px;
}
.redText {
  color: red !important;
  font-weight: 400 !important;
}
.cart_container {
  margin: 0.5% 5%;
}
.input-field {
  margin: 0;
}
.form-control[type="text"] {
  margin: 0 0 5px;
}
.input-field label {
  font-size: 0.9rem;
  left: 0;
}
.input-field label.active {
  transform: translateY(-80%);
  font-size: 0.6rem;
}
.custom_panel {
  padding: 15px;
  display: flex;
  justify-content: space-between;
}
.custom_panel_header_text {
  margin-top: 1px;
  font-size: 20px;
  font-weight: 600;
}
.custom_panel_header_count {
  margin-top: 1px;
  font-size: 20px;
  font-weight: 400;
}
.custom_panel_specs {
  padding: 25px 20px 20px 20px;
  display: flex;
  justify-content: space-between;
  align-items: center;
  text-align: left;
}
.custom_panel_img {
  max-width: 30%;
  max-height: 300px;
}
.custom_panel_spec_text {
  margin-top: auto;
  margin-bottom: auto;
}
.custom_panel_spec_text > p {
  font-size: 15px;
  font-weight: 400;
  line-height: 1;
}
.custom_panel_specs_konfig {
  padding: 0px 20px 20px 20px;
  display: flex;
  justify-content: space-between;
  align-items: center;
  text-align: left;
}
.mobile_edit_button {
  width: 35%;
}
.flex-plusminus {
  align-items: center;
  display: flex;
  position: absolute;
  left: 60%;
}
.input-plusminus {
  border: 0.5px solid #e7e7e7;
  border-radius: 13px;
  width: 36px;
  text-align: center;
  margin-left: 8px;
  margin-right: 8px;
  font-size: 16px;
  min-height: 30px;
  padding-top: 2px;
}
.img_in_list {
  display: block;
  max-width: 100%;
  max-height: 250px;
}
.select_container {
  width: 100% !important;
}
.bottom-button {
  margin-left: 0;
  width: 50%;
}
.preorderRedText {
  font-size: 16px;
  font-weight: 400;
  color: red;
  text-align: center;
  margin-bottom: 15px;
}
.rebateSpinner {
  margin-left: auto;
  margin-right: auto;
  margin-top: 2px;
  left: 0;
  right: 0;
  display: none;
  position: absolute;
  width: 27px;
  height: 27px;
  border: 3px solid rgba(255, 255, 255, 0.3);
  border-radius: 50%;
  border-top-color: #fff;
  animation: spin 1s ease-in-out infinite;
  -webkit-animation: spin 1s ease-in-out infinite;
}
.rebateSpinnerGreen {
  display: inline-block;
  width: 20px;
  height: 20px;
  border: 3px solid rgba(0, 176, 80, 1);
  border-radius: 50%;
  border-top-color: rgba(0, 0, 0, 0.3);
  animation: spin 1s ease-in-out infinite;
  -webkit-animation: spin 1s ease-in-out infinite;
  visibility: hidden;
  margin-left: 10px;
  margin-right: 10px;
}
.rebateSpinnerShipping {
  display: inline-block;
  width: 20px;
  height: 20px;
  border: 3px solid rgba(0, 176, 80, 1);
  border-radius: 50%;
  border-top-color: rgba(0, 0, 0, 0.3);
  animation: spin 1s ease-in-out infinite;
  -webkit-animation: spin 1s ease-in-out infinite;
  visibility: hidden;
}
.fa-custom {
  display: flex;
  align-items: center;
  padding-top: 2px;
  font-size: 16px;
}
@keyframes spin {
  to {
    -webkit-transform: rotate(360deg);
  }
}
@-webkit-keyframes spin {
  to {
    -webkit-transform: rotate(360deg);
  }
}
@keyframes slide {
  0%,
  50% {
    transform: translate(3px, 0px);
  }
  100% {
    transform: translate(-2, 0);
  }
}
@media only screen and (max-width: 1025px) {
  .custom_container_for_mobile1 {
    padding-left: 0px;
    padding-right: 15px;
  }
  .custom_container_for_mobile2 {
    padding-right: 0px;
    padding-left: 15px;
  }
}
@media (min-width: 1024px) {
  .sticky {
    position: sticky;
    top: 90px;
  }
}
@media only screen and (max-width: 1023px) {
  .nauczyciel_banner {
    order: 1;
    width: 100%;
  }
  .nauczyciel_banner_text {
    font-size: 20px;
  }
  .preorderRedText {
    font-size: 14px;
  }
  .cart_container {
    margin: 2.5% 5%;
    display: flex;
    flex-direction: column-reverse;
  }
  .bottom-button {
    margin-left: 0;
    margin-top: 20px;
    width: 100%;
  }
  .custom_panel_spec_text > p {
    font-size: 14px;
  }
  .custom_panel_img {
    max-width: 75%;
    margin-bottom: 25px;
    max-height: fit-content;
  }
  .custom_panel_specs {
    flex-direction: column-reverse;
    padding: 15px 10px 15px 10px;
  }
}
@media only screen and (max-width: 769px) {
  .custom_container_for_mobile1 {
    padding-left: 0px;
    padding-right: 0px;
  }
  .custom_container_for_mobile2 {
    padding-right: 0px;
    padding-left: 0px;
  }
  .nauczyciel_banner {
    display: flex;
    flex-direction: column;
    align-items: center;
  }
  .nauczyciel_banner_text {
    text-align: center;
  }
  .nauczyciel_btns_container {
    display: flex;
    flex-direction: column;
    align-items: center;
  }
}
@media only screen and (max-width: 765px) {
  .fa-custom {
    font: normal normal normal 14px/1 FontAwesome;
    font-size: inherit;
  }
  .mobile_edit_button {
    width: 100%;
  }
  .input-plusminus {
    margin-left: 15px;
    margin-right: 15px;
  }
  .flex-cutom-panel {
    flex-wrap: wrap;
  }
  .flex-plusminus {
    flex-direction: row-reverse;
    position: unset;
    margin-right: 20px;
  }
  .custom_panel_img {
    max-width: 80%;
  }
  .custom_panel_spec_text > p {
    font-size: 12px;
  }
  .rebatecontainer__header {
    font-size: 14px;
  }
  .rebatecontainer__title {
    font-size: 14px;
  }
  .rebatecontainer__desc {
    font-size: 12px;
  }
  .rebatecontainer__btn {
    font-size: 12px;
    width: 100%;
  }
  .rebatecontainer__btn_link {
    width: 100%;
  }
  .rebatecontainer__desc {
    width: 100%;
  }
  .rebatecontainer__img {
    display: none;
  }
}

.rebatecontainer {
  display: flex;
  flex-direction: column;
  align-items: start;
  gap: 10px;
  position: fixed;
  z-index: 100;
  left: 50%;
  top: 50%;
  transform: translate(-50%, -50%);
  height: min-content;
  width: 90%;
  max-width: 768px;
  padding: 30px;
  background-color: white;
  border-radius: 3px;
  border: 1px solid black;
  box-shadow: 0px 2px 10px -5px rgba(0, 0, 0, 0.25);
}
.rebatecontainer__close {
  height: 30px;
  width: auto;
  position: absolute;
  right: 10px;
  top: 10px;
  transition: ease-in-out 0.25s;
}
.rebatecontainer__close:hover {
  transform: scale(1.025);
}
.rebatecontainer__item {
  display: flex;
  flex-wrap: wrap;
  justify-content: space-between;
  align-items: center;
  gap: 10px 25px;
  width: 100%;
}
.rebatecontainer__item:not(:last-child) {
  border-bottom: 1px solid black;
  padding-bottom: 10px;
}
.rebatecontainer__title {
  font-size: 18px;
  font-weight: 700;
  width: 100%;
}
.rebatecontainer__desc {
  font-size: 16px;
  width: 60%;
}
.rebatecontainer__img {
  height: auto;
  width: 15%;
}
.rebatecontainer__img_big {
  width: 30%;
}
.rebatecontainer__btn {
  display: flex;
  margin-top: 10px;
  justify-content: center;
  align-items: center;
  padding: 10px 30px;
  color: white;
  font-size: 14px;
  font-weight: 600;
  border-radius: 5px;
  box-shadow: 0 5px 10px -5px rgba(0, 0, 0, 0.25);
  background-color: #5cb85c;
  cursor: pointer;
  text-align: center;
}
.rebatecontainer__btn_red {
  background: red;
  margin-left: auto;
}
.rebatecontainer__header {
  font-size: 18px;
  font-weight: 700;
  text-align: left;
  width: 100%;
}
.rebatecontainer__header_small {
  font-size: 16px;
  font-weight: 400;
  margin-top: -10px;
  margin-bottom: 10px;
}
.rebatecontainer.big {
  max-width: 1024px;
}
.addRebate__items {
  display: inline-flex;
  justify-content: center;
  align-items: center;
  gap: 25px;
  width: 100%;
}
.addRebate__item {
  padding: 15px;
  background-color: #f9f9f9;
  display: flex;
  flex-direction: column;
  justify-content: space-between;
  align-items: center;
  text-align: center;
  gap: 5px;
  border-radius: 8px;
  align-self: stretch;
  box-sizing: border-box;
  border: 1px solid #f9f9f9;
  width: 100%;
}
.addRebate__item:hover {
  border: 1px solid #00b050;
}
.addRebate__item:hover > div:last-child {
  visibility: visible;
}
.addRebate__img-block {
  height: 200px;
  max-width: 100%;
  display: flex;
  justify-content: center;
  align-items: center;
}
.addRebate__img {
  width: 100%;
  max-height: 100%;
  height: auto;
  cursor: pointer;
}
.rebatecontainer__btn.addRebate__hide {
  visibility: hidden;
  padding-top: 8px;
  padding-left: 45px;
  padding-right: 45px;
  height: 30px;
  min-width: 178px;
}

@media only screen and (max-width: 765px) {
  .rebatecontainer__header {
    font-size: 14px;
  }
  .rebatecontainer__title {
    font-size: 14px;
  }
  .rebatecontainer__desc {
    font-size: 12px;
  }
  .rebatecontainer__btn {
    font-size: 12px;
    width: 100%;
  }
  .rebatecontainer__btn_link {
    width: 100%;
  }
  .rebatecontainer__desc {
    width: 100%;
  }
  .rebatecontainer__img {
    display: none;
  }
}
